logomoneymotion
DisputesRpc
background
moneymotion Docs
moneymotion Docs
Disputes Upload Evidence
POST
/rpc/DisputesUploadEvidence
disputeIdUUID

a Universally Unique Identifier

Match^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Formatuuid
documentTypestring
Value in"verification_document" | "evidence"
fileNameminLength(1)

a string at least 1 character(s) long

Length1 <= length
contentTypeminLength(1)

a string at least 1 character(s) long

Length1 <= length
dataBase64minLength(1)

a string at least 1 character(s) long

Length1 <= length
displayName?string
contentText?string

Response Body

curl -X POST "https://api.moneymotion.io/rpc/DisputesUploadEvidence" \  -H "Content-Type: application/json" \  -d '{    "disputeId": "57331f1d-cb7c-4df0-89e4-ba6ba8d5fd8f",    "documentType": "verification_document",    "fileName": "string",    "contentType": "string",    "dataBase64": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "disputeId": "57331f1d-cb7c-4df0-89e4-ba6ba8d5fd8f",
  "documentType": "string",
  "fileName": "string",
  "displayName": "string",
  "contentType": "string",
  "sizeInBytes": 0,
  "storageKey": "string",
  "createdAt": "string",
  "updatedAt": "string"
}